<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2023 Workiva-->
<!--r:1d17d0f3-f872-49c3-a28f-8a8966ee8181,g:c0d2f708-836e-4d45-ac82-672ddd89c05f-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_olpx_EquityAwardsReportedValueMember_label_en-US" xlink:label="lab_olpx_EquityAwardsReportedValueMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Equity Awards Reported Value [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsReportedValueMember" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsReportedValueMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_olpx_EquityAwardsReportedValueMember" xlink:to="lab_olpx_EquityAwardsReportedValueMember" xlink:type="arc" order="1"/>
    <link:label id="lab_olpx_EquityAwardsGrantedDuringTheYearUnvestedMember_label_en-US" xlink:label="lab_olpx_EquityAwardsGrantedDuringTheYearUnvestedMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Equity Awards Granted During the Year, Unvested [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsGrantedDuringTheYearUnvestedMember" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsGrantedDuringTheYearUnvestedMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_olpx_EquityAwardsGrantedDuringTheYearUnvestedMember" xlink:to="lab_olpx_EquityAwardsGrantedDuringTheYearUnvestedMember" xlink:type="arc" order="1"/>
    <link:label id="lab_olpx_AdjustmentToCompensationAmountEquityAwards_label_en-US" xlink:label="lab_olpx_AdjustmentToCompensationAmountEquityAwards" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Adjustment to Compensation Amount, Equity Awards</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_AdjustmentToCompensationAmountEquityAwards" xlink:href="olpx-20230428.xsd#olpx_AdjustmentToCompensationAmountEquityAwards"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_olpx_AdjustmentToCompensationAmountEquityAwards" xlink:to="lab_olpx_AdjustmentToCompensationAmountEquityAwards" xlink:type="arc" order="1"/>
    <link:label id="lab_olpx_EquityAwardAdjustmentsMember_label_en-US" xlink:label="lab_olpx_EquityAwardAdjustmentsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Equity Award Adjustments [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardAdjustmentsMember" xlink:href="olpx-20230428.xsd#olpx_EquityAwardAdjustmentsMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_olpx_EquityAwardAdjustmentsMember" xlink:to="lab_olpx_EquityAwardAdjustmentsMember" xlink:type="arc" order="1"/>
    <link:label id="lab_olpx_EquityAwardsThatFailedToMeetVestingConditionsMember_label_en-US" xlink:label="lab_olpx_EquityAwardsThatFailedToMeetVestingConditionsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Equity Awards that Failed to Meet Vesting Conditions [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsThatFailedToMeetVestingConditionsMember" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsThatFailedToMeetVestingConditionsMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_olpx_EquityAwardsThatFailedToMeetVestingConditionsMember" xlink:to="lab_olpx_EquityAwardsThatFailedToMeetVestingConditionsMember" xlink:type="arc" order="1"/>
    <link:label id="lab_olpx_EquityAwardsGrantedInPriorYearsVestedMember_label_en-US" xlink:label="lab_olpx_EquityAwardsGrantedInPriorYearsVestedMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Equity Awards Granted in Prior Years, Vested [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsGrantedInPriorYearsVestedMember" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsGrantedInPriorYearsVestedMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_olpx_EquityAwardsGrantedInPriorYearsVestedMember" xlink:to="lab_olpx_EquityAwardsGrantedInPriorYearsVestedMember" xlink:type="arc" order="1"/>
    <link:label id="lab_olpx_EquityAwardsGrantedInPriorYearsUnvestedMember_label_en-US" xlink:label="lab_olpx_EquityAwardsGrantedInPriorYearsUnvestedMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Equity Awards Granted in Prior Years, Unvested [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsGrantedInPriorYearsUnvestedMember" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsGrantedInPriorYearsUnvestedMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_olpx_EquityAwardsGrantedInPriorYearsUnvestedMember" xlink:to="lab_olpx_EquityAwardsGrantedInPriorYearsUnvestedMember" xlink:type="arc" order="1"/>
    <link:label id="lab_olpx_EquityAwardsGrantedDuringTheYearVestedMember_label_en-US" xlink:label="lab_olpx_EquityAwardsGrantedDuringTheYearVestedMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en-US">Equity Awards Granted During the Year, Vested [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsGrantedDuringTheYearVestedMember" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsGrantedDuringTheYearVestedMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_olpx_EquityAwardsGrantedDuringTheYearVestedMember" xlink:to="lab_olpx_EquityAwardsGrantedDuringTheYearVestedMember" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
